summaryrefslogtreecommitdiffstats
path: root/network/bitlbee
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 22:25:04 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:25:04 +0200
commit1fa6a65e0053a099113d3025343be495f8481cc1 (patch)
treef851042ac71ca05ea0ab044a03a625abdd094826 /network/bitlbee
parent481d199ab9c57da2c7557a7198938f4996e6caf4 (diff)
downloadslackbuilds-1fa6a65e0053a099113d3025343be495f8481cc1.tar.gz
slackbuilds-1fa6a65e0053a099113d3025343be495f8481cc1.tar.xz
network/bitlbee: Updated for version 1.2.3
Diffstat (limited to 'network/bitlbee')
-rw-r--r--network/bitlbee/README25
-rw-r--r--network/bitlbee/bitlbee.SlackBuild42
-rw-r--r--network/bitlbee/bitlbee.info6
-rw-r--r--network/bitlbee/doinst.sh1
4 files changed, 42 insertions, 32 deletions
diff --git a/network/bitlbee/README b/network/bitlbee/README
index e6cb8882a6..19d90c290d 100644
--- a/network/bitlbee/README
+++ b/network/bitlbee/README
@@ -1,20 +1,19 @@
-BitlBee is an IRC instant messaging gateway licensed under the terms of the
+BitlBee is an IRC instant messaging gateway licensed under the terms of the
GPL. It communicates with the end user via the IRC protocol whilst interacting
with popular chat networks such as AIM, ICQ, MSN, Yahoo, and Jabber. The user's
-buddies appear as normal IRC users in a channel, and conversations use the
-private message facility of IRC.
+buddies appear as normal IRC users in a channel, and conversations use the
+private message facility of IRC.
-After the installation, you need to modify your /etc/inetd.conf so bitlbee wil
-be started when /etc/rc.d/rc.inetd is called on bootup. Add the line below to
+After the installation, you need to modify your /etc/inetd.conf so bitlbee will
+be started when /etc/rc.d/rc.inetd is called on bootup. Add the line below to
your /etc/inetd.conf file:
- 6667 stream tcp nowait nobody /usr/sbin/tcpd /usr/sbin/bitlbee
+ 6667 stream tcp nowait nobody /usr/sbin/tcpd /usr/sbin/bitlbee
-Restart inetd (/etc/rc.d/rc.inetd restart). All that is left to do now is
-connect your irc client to the localhost.
+Restart inetd (/etc/rc.d/rc.inetd restart). All that is left to do now is
+connect your irc client to the localhost.
-NOTE: The default "bot"/bitlbee daemon is called 'root'. This is not the root
-user on your system. You can easily change it. Register and identify yourself
+NOTE: The default "bot"/bitlbee daemon is called 'root'. This is not the root
+user on your system. You can easily change it. Register and identify yourself
first, and then:
-
- rename root BitlBot
- (or whatever you want)
+ rename root BitlBot
+ (or whatever you want)
diff --git a/network/bitlbee/bitlbee.SlackBuild b/network/bitlbee/bitlbee.SlackBuild
index 5f3eebb3d2..5d6f4508aa 100644
--- a/network/bitlbee/bitlbee.SlackBuild
+++ b/network/bitlbee/bitlbee.SlackBuild
@@ -2,7 +2,7 @@
# SlackBuild Script for bitlbee
-# Written by Michiel van Wessem (BP{k}) <michiel@slackbuilds.org>
+# Copyright 2007-2008 Michiel van Wessem, Manchester, United Kingdom
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -25,23 +25,20 @@
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=bitlbee
-VERSION=1.0.4
+VERSION=1.2.3
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCFILES="COPYING doc/AUTHORS doc/CHANGES doc/CREDITS doc/FAQ doc/INSTALL \
- doc/README doc/bitlbee.xinetd doc/user-guide/user-guide.html
- doc/user-guide/user-guide.txt doc/user-guide/help.txt"
-
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
set -e
@@ -53,7 +50,11 @@ rm -rf $TMP/$PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -62,13 +63,17 @@ CXXFLAGS="$SLKCFLAGS" \
--config=/var/lib/bitlbee \
--etcdir=/etc/bitlbee \
--mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
--msn=1 \
--jabber=1 \
--oscar=1 \
--yahoo=1 \
- --debug=0 \
--ipv6=1 \
- --ssl=openssl
+ --plugins=1 \
+ --events=glib \
+ --ssl=openssl \
+ --debug=0 \
+ --build=$ARCH-slackware-linux
if [ -e Makefile.settings ]; then
sed -i "s#CPU=i686#CPU=$ARCH#" Makefile.settings
@@ -78,7 +83,7 @@ make all
make install install-etc install-doc DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
@@ -88,13 +93,18 @@ make install install-etc install-doc DESTDIR=$PKG
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/var/lib/$PRGNAM
-cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING doc/AUTHORS doc/CHANGES doc/CREDITS doc/FAQ doc/INSTALL \
+ doc/README doc/bitlbee.xinetd doc/user-guide/user-guide.html \
+ doc/user-guide/user-guide.txt doc/user-guide/help.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
# Rewrite the documentation to replace /usr/local/ with /usr
# and /etc/init.d/inetd wih /etc/rc.d/rc.inetd
-find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec sed -i 's#/usr/local/#/usr/#' {} \;
-find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec sed -i 's#/etc/init.d/inetd#/etc/rc.d/rc.inetd#' {} \;
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec \
+ sed -i -e 's#/usr/local/#/usr/#' -e \
+ 's#/etc/init.d/inetd#/etc/rc.d/rc.inetd#' {} \;
mv $PKG/etc/$PRGNAM/$PRGNAM.conf $PKG/etc/$PRGNAM/$PRGNAM.conf.new
mv $PKG/etc/$PRGNAM/motd.txt $PKG/etc/$PRGNAM/motd.txt.new
diff --git a/network/bitlbee/bitlbee.info b/network/bitlbee/bitlbee.info
index 5f837e7cf5..f9160b5b8a 100644
--- a/network/bitlbee/bitlbee.info
+++ b/network/bitlbee/bitlbee.info
@@ -1,8 +1,8 @@
PRGNAM="bitlbee"
-VERSION="1.0.4"
+VERSION="1.2.3"
HOMEPAGE="http://www.bitlbee.org"
-DOWNLOAD="http://get.bitlbee.org/src/bitlbee-1.0.4.tar.gz"
-MD5SUM="b92e301930e2322a86b73b1f6c857674 "
+DOWNLOAD="http://get.bitlbee.org/src/bitlbee-1.2.3.tar.gz"
+MD5SUM="2b1674d98804970809de3da3edf0bed2"
MAINTAINER="Michiel van Wessem"
EMAIL="michiel@slackbuilds.org"
APPROVED="rworkman"
diff --git a/network/bitlbee/doinst.sh b/network/bitlbee/doinst.sh
index 973c0c3b87..54681d8426 100644
--- a/network/bitlbee/doinst.sh
+++ b/network/bitlbee/doinst.sh
@@ -14,3 +14,4 @@ config() {
config etc/bitlbee/bitlbee.conf.new
config etc/bitlbee/motd.txt.new
+